#
# spec file for package xrandr
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xrandr
Version:        1.5.0
Release:        2.3
Summary:        Primitive command line interface to RandR extension
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
BuildRequires:  pkgconfig(xrandr) >= 1.3
BuildRequires:  pkgconfig(xrender)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# Currently required in order to make use of RANDR 1.4 enhancements
# which have been implemented by the following drivers: intel,
# radeon, nouveau, modesetting and nvidia
Supplements:    xorg-x11-server

%description
Xrandr is used to set the size, orientation and/or reflection of
the outputs for a screen. It can also set the screen size.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
# do not ship xkeystone, see fdo#35984
rm %{buildroot}%{_bindir}/xkeystone

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xrandr
%{_mandir}/man1/xrandr.1%{?ext_man}

%changelog
* Thu Feb 25 2016 mimi.vx@gmail.com
- update to version 1.5.0
  This release adds support for the new monitor objects added in RandR 1.5, and
  fixes a few bugs.
* Wed Aug  6 2014 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.4.3:
  This minor bugfix release fixes gamma ramp calculations on GPUs with unusual
  gamma table configurations, removes redundant "Setting reflection" messages
  when - --verbose is specified, adds the ability for the -x and -y switches
  to be used to undo previous reflections, and adds the missing --brightness
  option to the - --help usage summary.
* Sat Mar 29 2014 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.4.2:
  This minor bugfix release restores the ability to disconnect
  providers from each other using "0x0" as the provider XID.  For
  example, to disconnect a display offload sink from its source,
  use: "xrandr --setprovideroutputsource <sink> 0x0"
  This release also formats the GUID provided by DisplayPort 1.2
  displays in traditional GUID form.
  Finally, this release increases the precision of refresh rate
  calculations to disambiguate modes with very similar refresh
  rates and to improve the accuracy for interlaced modes.
* Thu Oct 17 2013 sndirsch@suse.com
- install the package by default; currently xrandr is required in
  order to make use of RANDR 1.4 enhancements, which have been
  implemented by the following drivers: intel, radeon, nouveau,
  modesetting and nvidia
* Sun Jul 21 2013 zaitor@opensuse.org
- Update to version 1.4.1:
  + Combine usage message strings.
  + Declare capability_name() as returning const char *.
  + fdo#56923 - Make command line options consistent (single vs
    double dash).
  + Protect config.h like usual.
  + xrandr: calloc XRRModeInfo's passed to libXrandr.
  + Print spaces between XA_ATOM property values.
* Wed Feb 13 2013 tobias.johannes.klausmann@mni.thm.de
- Update to version 1.4.0:
- New features:
  + Support for RandR 1.4's provider objects.  See the --listproviders,
  - -setprovideroutputsource, and --setprovideroffloadsink options for more
    information.
  + --set now allows a comma-separated list of values.  This is useful with the
    Border property to configure different border adjustments for different edges
    of the screen.
  + --scale-from, which specifies a scaling transform based on the desired
    desktop size.
  + --query now indicates which output, if any, is primary.
  - Also contains a number of bug fixes.
  One notable behavior change is that the --gamma option now takes the actual
  gamma value rather than the reciprocal of the gamma value.  This matches the
  behavior of other programs such as xgamma and the gamma configuration options in
  xorg.conf.
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.3.5:
  + Correct several issues found by static code analysis tools.
  + Clean up some build configuration issues.
- Add pkgconfig(xproto) BuildRequires: new upstream dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xrandr from xorg-x11. Initial version: 1.3.4.
